Package com.independentsoft.office.spreadsheet

# Enum Class DataConsolidateFunction

java.lang.Object
java.lang.Enum<DataConsolidateFunction>
com.independentsoft.office.spreadsheet.DataConsolidateFunction

All Implemented Interfaces:
  `Serializable`, `Comparable<DataConsolidateFunction>`, `Constable`

public enum DataConsolidateFunction extends Enum<DataConsolidateFunction>
The Enum DataConsolidateFunction.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AVERAGE`
  `COUNT`
  `COUNT_NUMBERS`
  `MAXIMUM`
  `MINIMUM`
  `NONE`
  `PRODUCT`
  `STANDARD_DEVIATION`
  `STANDARD_DEVIATION_POPULATION`
  `SUM`
  `VARIANCE`
  `VARIANCE_POPULATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataConsolidateFunction`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataConsolidateFunction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AVERAGE

    public static final DataConsolidateFunction AVERAGE

  - ### COUNT

    public static final DataConsolidateFunction COUNT

  - ### COUNT_NUMBERS

    public static final DataConsolidateFunction COUNT_NUMBERS

  - ### MAXIMUM

    public static final DataConsolidateFunction MAXIMUM

  - ### MINIMUM

    public static final DataConsolidateFunction MINIMUM

  - ### PRODUCT

    public static final DataConsolidateFunction PRODUCT

  - ### STANDARD_DEVIATION

    public static final DataConsolidateFunction STANDARD_DEVIATION

  - ### STANDARD_DEVIATION_POPULATION

    public static final DataConsolidateFunction STANDARD_DEVIATION_POPULATION

  - ### SUM

    public static final DataConsolidateFunction SUM

  - ### VARIANCE

    public static final DataConsolidateFunction VARIANCE

  - ### VARIANCE_POPULATION

    public static final DataConsolidateFunction VARIANCE_POPULATION

  - ### NONE

    public static final DataConsolidateFunction NONE

- ## Method Details

  - ### values

    public static DataConsolidateFunction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataConsolidateFunction valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null